Package org.eclipse.ecf.remoteservice.rest.synd

## Class SyndFeedResponseDeserializer

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.synd.SyndFeedResponseDeserializer

All Implemented Interfaces:
  `IRemoteResponseDeserializer`

    public class SyndFeedResponseDeserializer
    extends Object
    implements IRemoteResponseDeserializer

### Constructor Summary

Constructors
`SyndFeedResponseDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `deserializeResponse​(String endpoint, IRemoteCall call, IRemoteCallable callable, Map responseHeaders, byte[] responseBody)` Deserialize remote response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyndFeedResponseDeserializer

    public SyndFeedResponseDeserializer()

### Method Detail

#### deserializeResponse

    public Object deserializeResponse​(String endpoint,
                                      IRemoteCall call,
                                      IRemoteCallable callable,
                                      Map responseHeaders,
                                      byte[] responseBody)
                               throws NotSerializableException

Description copied from interface: `IRemoteResponseDeserializer`
Deserialize remote response.

Specified by:
  `deserializeResponse` in interface `IRemoteResponseDeserializer`
Parameters:
  `endpoint` - the endpoint. Should not be `null`.
  `call` - the call associated with the parameter to serialize. Will not be `null`.
  `callable` - the callable associated with the parameter to serialize. Will not be `null`.
  `responseHeaders` - response headers associated with the successful remote call. May be `null`.
  `responseBody` - the actual response body to deserialize. May be `null`.
Returns:
  Object the deserialized response. May be `null`.
Throws:
  `NotSerializableException` - thrown if the responseBody cannot be deserialized.